fast and easy shortcuts to 3D VIEWS

Discussion in 'AutoCAD' started by Miguel Angel Espinosa Torres, Jun 17, 2004.

  1. imagine that the number pad on your keyboard would emulate the basic axonometric views.

    (defun c:1 () (vl-cmdf "_vpoint" "_non" "*-1,-1,1"))
    (defun c:14 () (vl-cmdf "_vpoint" "_non" "*-1,-0.5,0.5"))
    (defun c:41 () (vl-cmdf "_vpoint" "_non" "*-1,-0.5,0.5"))
    (defun c:12 () (vl-cmdf "_vpoint" "_non" "*-0.5,-1,1"))
    (defun c:21 () (vl-cmdf "_vpoint" "_non" "*-0.5,-1,1"))
    (defun c:2 () (vl-cmdf "_vpoint" "_non" "*0,-1,0"))
    (defun c:32 () (vl-cmdf "_vpoint" "_non" "*0.5,-1,0.5"))
    (defun c:23 () (vl-cmdf "_vpoint" "_non" "*0.5,-1,0.5"))
    (defun c:3 () (vl-cmdf "_vpoint" "_non" "*1,-1,1"))
    (defun c:36 () (vl-cmdf "_vpoint" "_non" "*1,-0.5,0.5"))
    (defun c:63 () (vl-cmdf "_vpoint" "_non" "*1,-0.5,0.5"))
    (defun c:4 () (vl-cmdf "_vpoint" "_non" "*-1,0,0"))
    (defun c:47 () (vl-cmdf "_vpoint" "_non" "*-1,0.5,0.5"))
    (defun c:74 () (vl-cmdf "_vpoint" "_non" "*-1,0.5,0.5"))
    (defun c:5 () (vl-cmdf "_vpoint" "_non" "*0,0,1"))
    (defun c:6 () (vl-cmdf "_vpoint" "_non" "*1,0,0"))
    (defun c:69 () (vl-cmdf "_vpoint" "_non" "*1,0.5,0.5"))
    (defun c:96 () (vl-cmdf "_vpoint" "_non" "*1,0.5,0.5"))
    (defun c:7 () (vl-cmdf "_vpoint" "_non" "*-1,1,1"))
    (defun c:78 () (vl-cmdf "_vpoint" "_non" "*-0.5,1,0.5"))
    (defun c:87 () (vl-cmdf "_vpoint" "_non" "*-0.5,1,0.5"))
    (defun c:8 () (vl-cmdf "_vpoint" "_non" "*0,1,0"))
    (defun c:89 () (vl-cmdf "_vpoint" "_non" "*0.5,1,0.5"))
    (defun c:98 () (vl-cmdf "_vpoint" "_non" "*0.5,1,0.5"))
    (defun c:9 () (vl-cmdf "_vpoint" "_non" "*1,1,1"))
     
    Miguel Angel Espinosa Torres, Jun 17, 2004
    #1
  2. Miguel Angel Espinosa Torres

    Jason Rhymes Guest

    That is real similar to what I use, but you have a lot more views then mine.
    I could use your more but was wondering why the UCS doesn't restore with the
    common views? Can that be fixed?


    (defun c:1()
    (command "_-view""_swiso")
    (princ)
    )
    (defun c:2()
    (command "_-view""_front")
    (princ)
    )
    (defun c:3()
    (command "_-view""_seiso")
    (princ)
    )
    (defun c:4()
    (command "_-view""_left")
    (princ)
    )
    (defun c:5()
    (command "_-view""_top")
    (princ)
    )
    (defun c:6()
    (command "_-view""_right")
    (princ)
    )
    (defun c:7()
    (command "_-view""_nwiso")
    (princ)
    )
    (defun c:8()
    (command "_-view""_back")
    (princ)
    )
    (defun c:9()
    (command "_-view""_neiso")
    (princ)
    )
     
    Jason Rhymes, Jun 17, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.